using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;



namespace CCC_Demo
{
    public partial class CCCMultiReadWriteDemo : Form
    {

        public CCCMultiReadWriteDemo()
        {
            InitializeComponent();
        }

        private void ReadMultiButton_Click(object sender, EventArgs e)
        {
            int card = 0;
            int channel = 0;
            double synchro = 0;
            int ratio = 18;

            bool cardOK = int.TryParse(CardText.Text, out card);
            bool chanOK = int.TryParse(MChannelText.Text, out channel);
            bool ratioOK = int.TryParse(RatioText.Text, out ratio);

            int err = CCCpcisync.synchro_read_multi(card, channel, ratio, ref synchro);
            MErrorText.Text = String.Format("{0:d}", err);
            MReadAngle.Text = String.Format("{0:f8}", synchro);
        }

        private void WriteMultiButton_Click(object sender, EventArgs e)
        {
            int card = 0;
            int channel = 0;
            double synchro = 0;
            int ratio = 18;

            bool cardOK = int.TryParse(CardText.Text, out card);
            bool chanOK = int.TryParse(MChannelText.Text, out channel);
            bool ratioOK = int.TryParse(RatioText.Text, out ratio);
            bool synchroOK = double.TryParse(MWriteAngle.Text, out synchro);

            int err = CCCpcisync.synchro_write_multi(card, channel, ratio, synchro);
            MErrorText.Text = String.Format("{0:d}", err); 
        }

        private void WriteButtonW_Click(object sender, EventArgs e)
        {
            int card = 0;
            int channel = 0;
            float angle = 0.0f;
 
            bool cardOK = int.TryParse(CardText.Text, out card);
            bool chanOK = int.TryParse(ChannelText.Text, out channel);
            bool angleOK = float.TryParse(WriteAngle.Text, out angle);

            int err = CCCpcisync.synchro_write(card, channel, angle);
            ErrorTextW.Text = String.Format("{0:d}", err); 
        }

        private void WriteButtonT_Click(object sender, EventArgs e)
        {
            int card = 0;
            int channel = 0;
            int test = 0;

            bool cardOK = int.TryParse(CardText.Text, out card);
            bool chanOK = int.TryParse(ChannelText.Text, out channel);
            bool testOK = int.TryParse(Test.Text, out test);

            int err = CCCpcisync.synchro_test(card, channel, test);
            ErrorTextT.Text = String.Format("{0:d}", err); 
        }

        private void WriteButtonR_Click(object sender, EventArgs e)
        {
            int card = 0;
            int channel = 0;
            int res = 0;

            bool cardOK = int.TryParse(CardText.Text, out card);
            bool chanOK = int.TryParse(ChannelText.Text, out channel);
            bool testOK = int.TryParse(Resolution.Text, out res);

            int err = CCCpcisync.synchro_resolution(card, channel, res);
            ErrorTextR.Text = String.Format("{0:d}", err); 
        }

        private void ReadChansButton_Click(object sender, EventArgs e)
        {
            int card = 0;
            float angle = 0.0f;

            bool cardOK = int.TryParse(CardText.Text, out card);

            int err = CCCpcisync.synchro_read(card, 0, ref angle);
            ErrTextCh0.Text = String.Format("{0:d}", err);
            CH0.Text = String.Format("{0:f6}", angle);
            err = CCCpcisync.synchro_read(card, 1, ref angle);
            ErrTextCh1.Text = String.Format("{0:d}", err);
            CH1.Text = String.Format("{0:f6}", angle);
            err = CCCpcisync.synchro_read(card, 2, ref angle);
            ErrTextCh2.Text = String.Format("{0:d}", err);
            CH2.Text = String.Format("{0:f6}", angle);
            err = CCCpcisync.synchro_read(card, 3, ref angle);
            ErrTextCh3.Text = String.Format("{0:d}", err);
            CH3.Text = String.Format("{0:f6}", angle);
            err = CCCpcisync.synchro_read(card, 4, ref angle);
            ErrTextCh4.Text = String.Format("{0:d}", err);
            CH4.Text = String.Format("{0:f6}", angle);
            err = CCCpcisync.synchro_read(card, 5, ref angle);
            ErrTextCh5.Text = String.Format("{0:d}", err);
            CH5.Text = String.Format("{0:f6}", angle);
            err = CCCpcisync.synchro_read(card, 6, ref angle);
            ErrTextCh6.Text = String.Format("{0:d}", err);
            CH6.Text = String.Format("{0:f6}", angle);
            err = CCCpcisync.synchro_read(card, 7, ref angle);
            ErrTextCh7.Text = String.Format("{0:d}", err);
            CH7.Text = String.Format("{0:f6}", angle);
        }

    }
}