//
//  Computer Conversions Synchro/Resolver Card DLL
//
//  February 2003 
//
//
//   File: ccc_dll.h    
//   User entry points for cccsync.dll   
 
// Error codes returned by the DLL
#define ERR_NONE 0		// no error
#define ERR_NODRIVER 1		// couldn't open the driver
#define ERR_NOCARD 2		// couldn't open the card
#define ERR_NOCHAN 3		// channel number not available
#define ERR_READCHAN 4		// tried to write to a read channel
#define ERR_FAULT 5		// channel has a fault
#define ERR_ALIGN  6		// misaligned synchro


#ifdef __cplusplus
extern "C"{
#endif

#ifdef DLLBUILD 
#define DLLTYPE __declspec(dllexport) int _stdcall
#else
#define DLLTYPE __declspec(dllimport) int _stdcall
#endif

DLLTYPE synchro_read(int card, int channel, float * synchro);
DLLTYPE synchro_write(int card, int channel, float synchro);
DLLTYPE synchro_read_multi(int card, int channel, int ratio, double * synchro);
DLLTYPE synchro_resolution(int card, int channel, int res);
DLLTYPE synchro_test(int card, int channel, int test);
DLLTYPE synchro_external_amp(int card, int channel, int extamp);
DLLTYPE synchro_read_binary(int card, int channel, DWORD * isynchro);
DLLTYPE synchro_write_binary(int card, int channel, DWORD synchro);
DLLTYPE synchro_read_multi_binary(int card, int channel, int ratio, DWORD * isynchro);
DLLTYPE synchro_write_multi_binary(int card, int channel, DWORD isynchro);


#ifdef __cplusplus
}
#endif
